%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Auth_SASL2
%define name php-pear-Auth-SASL2
%define version 0.1.0
%define release 3

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: Abstraction of various SASL mechanism responses
License: BSD
Group: Development/Libraries
Source0: http://pear.php.net/get/Auth_SASL2-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Auth_SASL2

BuildRequires:  php-pear(PEAR) >= 1.4.7
Provides:       php-pear(%{pear_name}) = %{version}

#BuildRequires: PEAR::PEAR >= 1.4.7

BuildArch: noarch

%description
Provides code to generate responses to common SASL mechanisms, including:
- Digest-MD5
- Cram-MD5
- Plain
- Anonymous
- Login (Pseudo mechanism)
- SCRAM

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels

rm %{buildroot}/%{xmldir}/.filemap
rm %{buildroot}/%{xmldir}/.lock
rm -rf %{buildroot}/%{xmldir}/.registry
rm -rf %{buildroot}/%{xmldir}/.channels
if [[ -f %{buildroot}%{xmldir}/.depdb ]] ;then
rm %{buildroot}%{xmldir}/.depdb
fi
if [[ -f  %{buildroot}{xmldir}/.depdblock ]] ;then
rm %{buildroot}%{xmldir}/.depdblock
fi



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_SASL2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_SASL2.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_SASL2 >/dev/null || :
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Auth_SASL2.xml

%changelog
* Thu Jun 16 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.1.0-3.sme
- importing to buildsys pear packages for Horde [SME: 9600]

* Mon May 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 0.1.0-2
- updated spec file requires section, and left original info remarked.

* Sun May 5 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 0.1.0-1
- Original from pear-make-rpm-spec.


